<?php
namespace Ak\Mailchimp\Hydrator\Response;

use Ak\Mailchimp\Entity\MailingList;
use Ak\Mailchimp\Hydrator\Entity\MailingListHydrator;
use Laminas\Hydrator\ReflectionHydrator;
use Laminas\Hydrator\Strategy\CollectionStrategy;

/**
 * Hidrira odgovore za GET lists.
 *
 * @package Ak\Mailchimp\Hydrator\Response
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
final class GetListsHydrator extends ReflectionHydrator
{
    public function __construct()
    {
        $this->addStrategy('lists', new CollectionStrategy(new MailingListHydrator(), MailingList::class));
    }
}
