<?php
namespace AkTest\Mailchimp;

use Ak\Mailchimp\ConfigProvider;
use PHPUnit\Framework\TestCase;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;
use Laminas\ServiceManager\ServiceManager;

/**
 * Osnovna klasa za testove entiteta.
 *
 * @package AkTest\Mailchimp\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
abstract class AbstractTestCase extends TestCase
{
    protected function getContainer(array $config = []): ServiceManager
    {
        $config = (new ConfigAggregator([
            \Laminas\Hydrator\ConfigProvider::class,
            ConfigProvider::class,
            new ArrayProvider([
                'mailchimp' => [
                    'data_center' => 'us15',
                    'username' => 'Auto Kreso Hrvatska',
                    'api_key' => 'f46390ec61772766210a462f9ab4a53f-us15',
                ],
            ]),
            new ArrayProvider($config),
        ]))->getMergedConfig();

        $container = new ServiceManager($config['dependencies']);
        $container->setService('config', $config);

        return $container;
    }
}
